## org.biojava.bio.program.gff
Interface GFFRecord

All Known Implementing Classes:
  SimpleGFFRecord

public interface GFFRecord

A single GFF record.

This object has fields for each GFF field. It also defines a couple of usefull constants.

Gff is described at http://www.sanger.ac.uk/Software/formats/GFF/

Author:
  Matthew Pocock

Field Summary
`static int` `NO_FRAME` Flag to indicate that there is no frame info.
`static double` `NO_SCORE` Flag to indicate that there is no score info.

Method Summary
`java.lang.String` `getComment()` The feature comment.
`int` `getEnd()` The end of this feature within the source sequence.
`java.lang.String` `getFeature()` The feature type filed.
`int` `getFrame()` The frame of the feature.
`java.util.Map` `getGroupAttributes()` A Map containing the group / attribute information.
`double` `getScore()` The score of the feature.
`java.lang.String` `getSeqName()` The sequence name field.
`java.lang.String` `getSource()` The source, or creator of this feature.
`int` `getStart()` The start of this feature within the source sequence.
`StrandedFeature.Strand` `getStrand()` The strand of the feature.

Field Detail

### NO_SCORE

    public static final double NO_SCORE

  Flag to indicate that there is no score info.

### NO_FRAME

    public static final int NO_FRAME

  Flag to indicate that there is no frame info.

Method Detail

### getSeqName

    public java.lang.String getSeqName()

  The sequence name field.

  This should be the name of the sequence that this gff record is within.

  Returns:
    the name of the sequence

### getSource

    public java.lang.String getSource()

  The source, or creator of this feature.

  This is usualy a program name.

  Returns:
    the feature source

### getFeature

    public java.lang.String getFeature()

  The feature type filed.

  This is something like "exon" - usualy corresponds to an EMBL term.

  Returns:
    the feature type

### getStart

    public int getStart()

  The start of this feature within the source sequence.
  Returns:
    the start index

### getEnd

    public int getEnd()

  The end of this feature within the source sequence.
  Returns:
    the end index

### getScore

    public double getScore()

  The score of the feature.

  For sequences that have no score, this will be set to GFFRecord.NO_SCORE.

  Returns:
    the score, or NO_SCORE

### getStrand

    public StrandedFeature.Strand getStrand()

  The strand of the feature.

  This will be one of GFFRecord.POSITIVE_STRAND, GFFRecord.NEGATIVE_STRAND, or GFFRecord.NO_STRAND.

  Returns:
    the strand field

### getFrame

    public int getFrame()

  The frame of the feature.

  This will be one of `{1, 2, 3}` or GFFRecord.NO_FRAME.

  Returns:
    the frame field

### getGroupAttributes

    public java.util.Map getGroupAttributes()

  A Map containing the group / attribute information.

  This will be a Map of group-names to List objects.

  Returns:
    a Map containing the group and attribute info.

### getComment

    public java.lang.String getComment()

  The feature comment.
  Returns:
    null or the feature comment